<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
JournalArticle article = journalContentDisplayContext.getArticle();
%>

<div class="article-preview row">
	<div class="col-md-3 col-sm-6 col-xs-12">
		<p class="text-muted"><liferay-ui:message key="layout.types.article" /></p>

		<div class="article-preview-content-container">
			<c:if test="<%= article != null %>">
				<liferay-util:include page="/journal_article_resources.jsp" servletContext="<%= application %>" />
			</c:if>
		</div>

		<div class="button-holder">
			<aui:button cssClass="web-content-selector" name="webContentSelector" value='<%= Validator.isNull(article) ? "select" : "change" %>' />
		</div>
	</div>
</div>

<c:if test="<%= article != null %>">
	<div class="row template-preview">
		<div class="col-md-3 col-sm-6 col-xs-12">
			<liferay-util:include page="/journal_template.jsp" servletContext="<%= application %>" />
		</div>
	</div>

	<div class="configuration-options-container row">
		<div class="col-md-6 col-sm-6 col-xs-12">
			<aui:fieldset>
				<aui:field-wrapper label="user-tools">
					<liferay-ui:asset-addon-entry-selector
						assetAddonEntries="<%= (List<AssetAddonEntry>)(List<?>)journalContentDisplayContext.getEnabledUserToolAssetAddonEntries() %>"
						hiddenInput="preferences--userToolAssetAddonEntryKeys--"
						id="userToolsAssetAddonEntriesSelector"
						selectedAssetAddonEntries="<%= (List<AssetAddonEntry>)(List<?>)journalContentDisplayContext.getSelectedUserToolAssetAddonEntries() %>"
						title="select-user-tools"
					/>
				</aui:field-wrapper>

				<aui:field-wrapper label="content-metadata">
					<liferay-ui:asset-addon-entry-selector
						assetAddonEntries="<%= (List<AssetAddonEntry>)(List<?>)journalContentDisplayContext.getEnabledContentMetadataAssetAddonEntries() %>"
						hiddenInput="preferences--contentMetadataAssetAddonEntryKeys--"
						id="contentMetadataAssetAddonEntriesSelector"
						selectedAssetAddonEntries="<%= (List<AssetAddonEntry>)(List<?>)journalContentDisplayContext.getSelectedContentMetadataAssetAddonEntries() %>"
						title="select-content-metadata"
					/>
				</aui:field-wrapper>

				<aui:input name="preferences--enableViewCountIncrement--" type="toggle-switch" value="<%= journalContentDisplayContext.isEnableViewCountIncrement() %>" />
			</aui:fieldset>
		</div>
	</div>
</c:if>